Account
Lookup history
GET
One entry per tracking number per request, newest first, from the last 30 days.
header
AuthorizationBearer <token>Authorization: Bearer lsk_live_…
limit?integerRange
1 <= value <= 200Default
50cursor?stringThe previous page's nextCursor.
number?stringOnly this tracking number, or numbers starting with it.
A page of lookups.
application/json- response
lookups*array<>nextCursor*stringNull on the last page.
curl -X GET 'https://api.lastscanned.com/v1/lookups'Example Response
{ "lookups": [ { "number": "1Z999AA10123456784", "carrier": "ups", "status": "delivered", "error": null, "source": "api", "cached": false, "createdAt": "2026-10-26T18:06:20Z" } ], "nextCursor": null}